package simpleex.json;

import com.fasterxml.jackson.databind.Module;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.module.SimpleModule;
import simpleex.core.LatLong;
import simpleex.core.LatLongs;

public class JacksonConfigurator {

  public ObjectMapper createObjectMapper() {
    final ObjectMapper objectMapper = new ObjectMapper();
    configureObjectMapper(objectMapper);
    return objectMapper;
  }

  public void configureObjectMapper(final ObjectMapper objectMapper) {
    objectMapper.registerModule(createModule());
  }

  public Module createModule() {
    final SimpleModule module = new SimpleModule();
    configureModule(module);
    return module;
  }

  public void configureModule(final SimpleModule module) {
    module.addSerializer(LatLong.class, new LatLongSerializer());
    module.addSerializer(LatLongs.class, new LatLongsSerializer());
    module.addDeserializer(LatLong.class, new LatLongDeserializer());
    module.addDeserializer(LatLongs.class, new LatLongsDeserializer());
  }
}
