package simpleex.json;

import org.junit.Assert;
import org.junit.Test;
import simpleex.core.LatLong;

public class LatLongJsonTest extends AbstractJsonTest {

  @Test
  public void testLatLongSerialization() throws Exception {
    assertEqualsIgnoreWhitespace("{\"latitude\":63.1,\"longitude\":12.3}", getObjectMapper().writeValueAsString(new LatLong(63.1, 12.3)));
  }

  @Test
  public void testLatLongObjectDeserialization() throws Exception {
    Assert.assertEquals(new LatLong(63.1, 12.3),
        getObjectMapper().readValue("{\"latitude\":63.1,\"longitude\":12.3}", LatLong.class));
  }

  @Test
  public void testLatLongArrayDeserialization() throws Exception {
    Assert.assertEquals(new LatLong(63.1, 12.3), getObjectMapper().readValue("[ 63.1, 12.3 ]", LatLong.class));
  }
}
