package simpleex.json;

import org.junit.Assert;
import org.junit.Test;
import simpleex.core.LatLong;
import simpleex.core.LatLongs;

public class LatLongsJsonTest extends AbstractJsonTest {

  @Test
  public void testLatLongsSerialization() throws Exception {
    assertEqualsIgnoreWhitespace(
        "[{\"latitude\":63.1,\"longitude\":12.3},{\"latitude\":63.0,\"longitude\":12.4}]",
        getObjectMapper().writeValueAsString(new LatLongs(new LatLong(63.1, 12.3), new LatLong(63.0, 12.4))));
  }

  @Test
  public void testLatLongsDeserialization() throws Exception {
    final LatLongs latLongs =
        getObjectMapper().readValue("[{\"latitude\":63.1,\"longitude\":12.3}, [63.0,12.4]]", LatLongs.class);
    Assert.assertEquals(2, latLongs.getLatLongCount());
    Assert.assertEquals(new LatLong(63.1, 12.3), latLongs.getLatLong(0));
    Assert.assertEquals(new LatLong(63.0, 12.4), latLongs.getLatLong(1));
  }
}
